[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.Clear

Clear the list

## Declaration

Source position: contnrs.pp line 301

`public procedure TFPHashObjectList.Clear;`

## Description

Clear removes all objects from the list. It does not free the objects themselves, unless OwnsObjects is True. It always frees all memory needed to contain the objects.

## Errors

None.

## See also

TFPHashObjectList.Extract |  | Extract a object instance from the list
TFPHashObjectList.Remove |  | Remove first occurrence of a object instance
TFPHashObjectList.Delete |  | Delete an object from the list.
TFPHashObjectList.Add |  | Add a new key/data pair to the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net .